跳转到主要内容
GET
/
admin
/
setting
/
public
cURL
curl --request GET \
  --url https://app.teable.ai/api/admin/setting/public \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "instanceId": "<string>",
  "aiConfig": {
    "enable": true,
    "llmProviders": [
      {
        "type": "openai",
        "name": "<string>",
        "models": "",
        "isInstance": true
      }
    ],
    "chatModel": {
      "lg": "<string>",
      "md": "<string>",
      "sm": "<string>",
      "ability": {
        "image": true,
        "pdf": true,
        "webSearch": true,
        "toolCall": true,
        "reasoning": true,
        "imageGeneration": true
      }
    },
    "capabilities": {
      "disableActions": [
        "<string>"
      ]
    },
    "gatewayModels": [
      {
        "id": "<string>",
        "label": "<string>",
        "enabled": true,
        "capabilities": {
          "image": true,
          "pdf": true,
          "webSearch": true,
          "toolCall": true,
          "reasoning": true,
          "imageGeneration": true
        },
        "pricing": {
          "input": "<string>",
          "output": "<string>",
          "inputCacheRead": "<string>",
          "inputCacheWrite": "<string>",
          "reasoning": "<string>",
          "image": "<string>",
          "webSearch": "<string>"
        },
        "rates": {
          "inputRate": 1,
          "outputRate": 1,
          "cacheReadRate": 1,
          "cacheWriteRate": 1,
          "reasoningRate": 1,
          "imageRate": 1,
          "webSearchRate": 1
        },
        "isImageModel": true,
        "defaultFor": [
          "chatLg"
        ],
        "testedAt": 123,
        "ownedBy": "alibaba",
        "modelType": "language",
        "tags": [
          "reasoning"
        ],
        "contextWindow": 123,
        "maxTokens": 123,
        "description": "<string>"
      }
    ]
  },
  "brandName": "<string>",
  "brandLogo": "<string>",
  "disallowSignUp": true,
  "disallowSpaceCreation": true,
  "disallowSpaceInvitation": true,
  "disallowDashboard": true,
  "enableEmailVerification": true,
  "enableWaitlist": true,
  "createdTime": "<string>",
  "appGenerationEnabled": true,
  "turnstileSiteKey": "<string>",
  "changeEmailSendCodeMailRate": 123,
  "resetPasswordSendMailRate": 123,
  "signupVerificationSendCodeMailRate": 123,
  "enableCreditReward": true
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

响应

200 - application/json

Returns the public instance settings.

instanceId
string
必填
aiConfig
object
必填
brandName
string | null
brandLogo
string | null
disallowSignUp
boolean | null
disallowSpaceCreation
boolean | null
disallowSpaceInvitation
boolean | null
disallowDashboard
boolean | null
enableEmailVerification
boolean | null
enableWaitlist
boolean | null
createdTime
string
appGenerationEnabled
boolean
turnstileSiteKey
string | null
changeEmailSendCodeMailRate
number
resetPasswordSendMailRate
number
signupVerificationSendCodeMailRate
number
enableCreditReward
boolean
Last modified on March 5, 2026